e-invoicing

Update credentials for Poland

You can update credentials using the token or the certificate authentication methods. In addition, you can use the same endpoint to enable or disable polling.

Important:
  • You can only configure a tax ID for one environment at a time.

  • Credential updates are full replacements. Any parameter you omit from the value field is deleted from the configuration. When updating certificate credentials, always include all three parameters (certificateCrtBase64, certificateCrtKeyBase64, and certificateCrtPassword) even if you are only changing one. See Samples for updating credentials for Poland.

  • Before updating, you can retrieve your current configuration using a GET request to confirm existing values.

  1. Send a PUT request to the endpoint URL:
    JSON
    PUT https://api-test.sovos.com/v2/configurations/organizations/{orgId}/settings/{settingId}
  2. Include the following headers in your request:
    • Content-Type: application/json

    • Authorization: Bearer {accessToken}

    • x-correlationId: {uniqueValue}

  3. Optional: To update transmission or polling credentials using the token authentication method, include the following parameters inside the JSON payload in the request body.
    Name Type Required Description
    value object Yes
    authorizationToken string Yes The token value retrieved from KSeF
  4. Optional: To update transmission and polling credentials using the certificate authentication method, include the following parameters inside the JSON payload in the request body.
    Name Type Required Description
    value object Yes
    certificateCrtBase64 string Yes for certificate authentication on Pre-prod or Production (online mode) Certificate file encoded in Base64 (.crt format)
    certificateCrtKeyBase64 string Yes for certificate authentication on Pre-prod or Production (online mode) Certificate .key file encoded in Base64
    certificateCrtPassword string Yes for certificate authentication on Pre-prod or Production (online mode) Certificate password
    certificateOfflineBase64 string Yes for certificate authentication on Pre-prod or Production (offline mode) Certificate file encoded in Base64 (.crt format)
    certificateOfflineKeyBase64 string Yes for certificate authentication on Pre-prod or Production (offline mode) Certificate .key file encoded in Base64
    certificateOfflinePassword string Yes for certificate authentication on Pre-prod or Production (offline mode) Certificate password
    certificatePfxBase64 string Yes for certificate authentication on the KSeF Test or the Sovos Mock environment Test certificate file encoded in Base64 (.pfx format)
    certificatePfxPassword string No (optional for certificate authentication on the KSeF Test or the Sovos Mock environment) Test certificate password
  5. Optional: To enable or disable polling credentials, include the following parameters inside the JSON payload in the request body.
    Name Type Required Description
    value object Yes
    pollingWorkflowState string Yes Use "enable" or "disable"
  6. To switch to a different environment, include the following parameters inside the JSON payload in the request body.
    Name Type Required Description
    value object Yes
    name string Yes Use one of these values:
    KSEF

    The KSeF Test or Production environment, depending on the base URL provided in the request.

    Note:

    Production is only available on February 1st, 2026.

    KSEF-PRE-PROD

    The KSeF Pre-Production environment.

    KSEF-MOCK
    Sovos internal Mock environment, which does not communicate with the KSeF systems.

Upon successful creation, the API will return a JSON object containing the uploaded credentials and their assigned SETTING-ID.